mbed TLS v2.23.0

Data Fields
mbedtls_mpi Struct Reference

MPI structure. More...

`#include <bignum.h>`

## Data Fields
int | s
size_t | n
mbedtls_mpi_uint * | p

## Detailed Description

MPI structure.

Definition at line 186 of file bignum.h.

## Field Documentation

## ◆ n

size_t mbedtls_mpi::n

total # of limbs

Definition at line 189 of file bignum.h.

## ◆ p

mbedtls_mpi_uint* mbedtls_mpi::p

pointer to limbs

Definition at line 190 of file bignum.h.

## ◆ s

int mbedtls_mpi::s

Sign: -1 if the mpi is negative, 1 otherwise

Definition at line 188 of file bignum.h.

The documentation for this struct was generated from the following file:

- bignum.h